Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultViewFactory.PicNodeConnectionView

    java.lang.Object
      jpicedt.graphic.view.AbstractView
          jpicedt.graphic.view.DefaultViewFactory.LeafElementView
              jpicedt.graphic.view.DefaultViewFactory.PicNodeConnectionView

All Implemented Interfaces:
  View, ViewConstants

Enclosing class:
  DefaultViewFactory

public class DefaultViewFactory.PicNodeConnectionView
extends DefaultViewFactory.LeafElementView

a View for rendering any concrete implementation of jpicedt.graphic.model.PicNodeConnection This view is responsible for painting the edge only! Nodes are rendered with their own view (provided they were added to the drawing at some early point...)

Field Summary
`protected Arrow` | `arrow1`
`protected PicVector` | `arrow1Dir`
`protected PicPoint` | `arrow1Loc`
`protected Arrow` | `arrow2`
`protected PicVector` | `arrow2Dir`
`protected PicPoint` | `arrow2Loc`
`protected Stroke` | `arrowStroke`

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`interiorPaint, lineWidth, outlinePaint, outlineStroke, overStrikeWidth, shadowBounds, shape`

Fields inherited from class jpicedt.graphic.view.AbstractView
`bounds, element, highlighter`

Fields inherited from interface jpicedt.graphic.view.ViewConstants
`BARBELL_SIZE, CLICK_DISTANCE`

Constructor Summary
`DefaultViewFactory.PicNodeConnectionView(PicNodeConnection edge)` construct a new View for the given node connection

Method Summary
`void` | `paint(Graphics2D g, Rectangle2D a)` Render the View to the given graphic context.
`protected void` | `syncShape()` Synchronize the "shape" variable with the model.

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`changedUpdate, getViewFactory, hitTest, syncAttributes, syncBounds`

Methods inherited from class jpicedt.graphic.view.AbstractView
`getBounds, getContainer, getDrawing, getElement, getGraphics, getHighlighter, getParentView, hitTest, paintHighlighter, repaint, setElement, setHighlighter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrowStroke

    protected Stroke arrowStroke

### arrow1

    protected Arrow arrow1

### arrow2

    protected Arrow arrow2

### arrow1Dir

    protected PicVector arrow1Dir

### arrow2Dir

    protected PicVector arrow2Dir

### arrow1Loc

    protected PicPoint arrow1Loc

### arrow2Loc

    protected PicPoint arrow2Loc

Constructor Detail

### DefaultViewFactory.PicNodeConnectionView

    public DefaultViewFactory.PicNodeConnectionView(PicNodeConnection edge)

  construct a new View for the given node connection

Method Detail

### syncShape

    protected void syncShape()

  Synchronize the "shape" variable with the model. To reduce the burden for subclasses, this method calls `syncTangents` after having updated the `shape` field. It is up to subclasses to adapt their behaviour according to the underlying model, if only computing tangents is different.

  Overrides:
    `syncShape` in class `DefaultViewFactory.LeafElementView`

### paint

    public void paint(Graphics2D g,
                      Rectangle2D a)

  Render the View to the given graphic context.

  Specified by:
    `paint` in interface `View`
  Overrides:
    `paint` in class `DefaultViewFactory.LeafElementView`
  Parameters:
    `a` - the current graphic clip

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org